import request from '@/utils/request'

export function initDepartmentName() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_物料主文件_基本_物料部门_查询数据'
    }
  })
}
export function initMaterialCategory(check, DepartmentValue) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_物料类别编号_查询数据_根据物料部门编号',
      param: '物料部门流水号_check=' + check + '=int&物料部门流水号=' + DepartmentValue
    }
  })
}
export function initMaterialVariety(MaterialCategoryValue) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_物料品种编号_查询数据',
      param: '物料类别流水号=' + MaterialCategoryValue
    }
  })
}
export function initMeasurementUnit() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_计量单位主文件_查询数据'
    }
  })
}
export function initMaterialSource() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_物料来源_查询数据'
    }
  })
}
export function searchmaterial(check1, MaterialName, check2, FullNameOfMaterial, check3, MaterialSpecification, check4, MaterialModel, pageCurrent, pageSize, check5, MaterialCategoryValue, check6, MaterialVarietyValue, check7, MeasurementUnitValue, check8, MaterialSourceValue, check9, supplierValue) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_物料主文件_基本_查询数据_分页',
      param: '物料流水号_check=0&物料代码_check=0&物料名称_check=' + check1 + '=int&物料名称=' + MaterialName + '&物料全名_check=' + check2 + '=int&物料全名=' + FullNameOfMaterial + '&物料规格_check=' + check3 + '=int&物料规格=' + MaterialSpecification + '&物料型号_check=' + check4 + '=int&物料型号=' + MaterialModel + '&物料类别流水号_check=' + check5 + '=int&物料类别流水号=' + MaterialCategoryValue + '&物料品种流水号_check=' + check6 + '=int&物料品种流水号=' + MaterialVarietyValue + '&供货商流水号_check=' + check9 + '&供货商流水号=' + supplierValue + '&计量单位流水号_check=' + check7 + '&计量单位流水号=' + MeasurementUnitValue + '&物料来源流水号_check=' + check8 + '&物料来源流水号=' + MaterialSourceValue + '&PageCurrent=' + pageCurrent + '=int&PageSize=' + pageSize + '=int&PageCount=1=int=output&ItemCount=1=int=output'
    }
  })
}
export function getSupplier(check, num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_供货商_查询数据_根据条件',
      param: '供货商_check=' + check + '=int&供货商=' + num,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function addData(MaterialVariety, MaterialName, FullNameOfMaterial, MaterialSpecification, MaterialModel, MeasurementUnitValue, MaterialSourceValue, supplierValue1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_物料主文件_基本_增加数据',
      param: '物料品种流水号=' + MaterialVariety + '&物料名称\\=' + MaterialName + '&物料全名\\=' + FullNameOfMaterial + '&物料规格\\=' + MaterialSpecification + '&物料型号\\=' + MaterialModel + '&计量单位流水号=' + MeasurementUnitValue + '&物料来源流水号=' + MaterialSourceValue + '&供货商流水号=' + supplierValue1
    }
  })
}
export function editData(MaterialValue, MaterialVariety, MaterialName, FullNameOfMaterial, MaterialSpecification, MaterialModel, MeasurementUnitValue, MaterialSourceValue, supplierValue1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_物料主文件_基本_修改数据',
      param: '物料流水号=' + MaterialValue + '&物料品种流水号=' + MaterialVariety + '&物料名称\\=' + MaterialName + '&物料全名\\=' + FullNameOfMaterial + '&物料规格\\=' + MaterialSpecification + '&物料型号\\=' + MaterialModel + '&计量单位流水号=' + MeasurementUnitValue + '&物料来源流水号=' + MaterialSourceValue + '&供货商流水号=' + supplierValue1
    }
  })
}
export function deleteData(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_物料主文件_基本_删除数据',
      param: '物料流水号=' + num
    }
  })
}
export function searchCategory() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_物料类别编号_查询数据_根据物料部门编号'
    }
  })
}
export function searchVarieties(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_物料品种编号_查询数据',
      param: '物料类别流水号=' + num
    }
  })
}
export function editCategory(MaterialCategoryNum, MaterialCategory2, CategoryNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_物料类别编号_修改数据',
      param: '物料类别流水号=' + MaterialCategoryNum + '&物料类别=' + MaterialCategory2 + '&类别编号=' + CategoryNumber
    }
  })
}
export function addCategory(MaterialCategory2, CategoryNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_物料类别编号_增加数据',
      param: '物料类别=' + MaterialCategory2 + '&类别编号=' + CategoryNumber
    }
  })
}
export function deleteCategory(MaterialCategoryNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_物料类别编号_删除数据',
      param: '物料类别流水号=' + MaterialCategoryNum
    }
  })
}
export function editVariety(MaterialVarietyNum, MaterialCategoryNum, MaterialVariety2, VarietyNumber, Specifications1, Specifications2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_物料品种编号_修改数据',
      param: '物料品种流水号=' + MaterialVarietyNum + '&物料类别流水号=' + MaterialCategoryNum + '&物料品种=' + MaterialVariety2 + '&品种编号=' + VarietyNumber + '&规格1=' + Specifications1 + '&规格2=' + Specifications2
    }
  })
}
export function addVariety(MaterialCategoryNum, MaterialVariety2, VarietyNumber, Specifications1, Specifications2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_物料品种编号_增加数据',
      param: '物料类别流水号=' + MaterialCategoryNum + '&物料品种=' + MaterialVariety2 + '&品种编号=' + VarietyNumber + '&规格1=' + Specifications1 + '&规格2=' + Specifications2
    }
  })
}
export function deleteVariety(MaterialVarietyNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_物料品种编号_删除数据',
      param: '物料品种流水号=' + MaterialVarietyNum
    }
  })
}
